######################
##### PLOT ALL #######
######################
library(dplyr)
# import the data
df <- read.csv("../../gen/temp/df_grouped.csv")

# convert the `date` column into date format.
df$date <- as.Date(df$date)

# group by date and calculate the sum of all reviews across neighbourhood groups.
df_groupby <- df %>% group_by(date) %>% summarise(num_reviews = sum(num_reviews))

# plot the chart and store the visualisation.

pdf("../../gen/output/plot_all.pdf")
plot(x = df_groupby$date,
     y = df_groupby$num_reviews,
     type = "l",
     xlab = "",
     ylab = "Total number of reviews", 
     main = "Effect of COVID-19 pandemic\non Airbnb review count")

dev.off()
